Updates a Template
curl --request PATCH \
--url https://commerce.driv.ly/api/templates/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"usedBy": [
123
],
"message": "<string>",
"sequence": 123,
"messages": [
123
],
"subject": "<string>"
}
'import requests
url = "https://commerce.driv.ly/api/templates/{id}"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"usedBy": [123],
"message": "<string>",
"sequence": 123,
"messages": [123],
"subject": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
usedBy: [123],
message: '<string>',
sequence: 123,
messages: [123],
subject: '<string>'
})
};
fetch('https://commerce.driv.ly/api/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"usedBy": [
123
],
"message": "<string>",
"sequence": 123,
"messages": [
123
],
"subject": "<string>"
},
"message": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Templates
Updates a Template
Updates a Template
PATCH
/
templates
/
{id}
Updates a Template
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { templates } from '@drivly/commerce'
const sdk = new SDK(...)
const templates = await sdk.templates.update(templatesId: string, data: templates): Promise<templates>
Authorizations
Path Parameters
id of the Template
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
Available options:
Email Sent, Initial Text Message, Text Nudge Available options:
A, B, C, D, E, F, G, H, I ⌘I